import { ConfigActionType, actionResult, qpqCoreUtils, } from 'quidproquo-core';
import { getSecret } from '../../../logic/secretsManager/getSecret';
import { resolveSecretResourceName } from './utils';
const getProcessConfigActionType = (qpqConfig) => {
    return async ({ secretName }) => {
        const awsSecretKey = resolveSecretResourceName(secretName, qpqConfig);
        const secretValue = await getSecret(awsSecretKey, qpqCoreUtils.getApplicationModuleDeployRegion(qpqConfig));
        return actionResult(secretValue);
    };
};
export default (qpqConfig) => {
    return {
        [ConfigActionType.GetSecret]: getProcessConfigActionType(qpqConfig),
    };
};
